﻿@model Student
<h1 class="bd-title text-center">Editar Estudiante @Model.FullName()</h1>

<div class="row align-content-center">
    <div class="offset-2 col-8 mt-2">
        <div class="card" >
            <form asp-action="Edit" method="post">
                <div class="row m-5">
                    <div class="col-6">
                        @Html.LabelFor(s => s.FirstName)
                        @Html.TextBoxFor(s => s.FirstName, new { @class = "form-control" })
                        <!--<input type="text" name="FirstName" value="@Model.FirstName" class="form-control" />-->
                        @Html.ValidationMessageFor(m => m.FirstName, "", new { @class = "text-danger" })
                    </div>
                    <div class="col-6">
                        @Html.LabelFor(s => s.LastName)
                        @Html.TextBoxFor(s => s.LastName, new { @class = "form-control" })
                        @Html.ValidationMessageFor(m => m.LastName, "", new { @class = "text-danger" })
                    </div>
                    @Html.HiddenFor(s => s.ID)
                </div>
                @if (!Model.EnrollmentDate.HasValue)
                {
                    <div class="row m-5">
                        <div class="col-6">
                            @Html.LabelFor(s => s.EnrollmentDate)
                            @Html.TextBoxFor(s => s.EnrollmentDate, new { @class = "form-control" })
                        </div>
                    </div>
                }
                <div class="row m-5">
                    <div class="col-12">
                       <button type="submit" class="btn btn-primary float-right">Guardar</button>
                    </div>
                </div>
            </form>
        </div>
    </div>

</div>